# Gimp.Scanner

    from gi.repository import Gimp

    scanner = Gimp.Scanner()

A wrapper around GLib.Scanner with some convenience API.

## Methods

- Gimp.Scanner.parse_boolean
- Gimp.Scanner.parse_color
- Gimp.Scanner.parse_data
- Gimp.Scanner.parse_double
- Gimp.Scanner.parse_identifier
- Gimp.Scanner.parse_int
- Gimp.Scanner.parse_int64
- Gimp.Scanner.parse_matrix2
- Gimp.Scanner.parse_string
- Gimp.Scanner.parse_string_no_validate
- Gimp.Scanner.parse_token
- Gimp.Scanner.ref
- Gimp.Scanner.unref